# Class DataGridHeaderCellDefDirective

- Defined in lib/data-grid-header-cell-def.directive.ts:15

#####
Index

### Constructors

constructor

### Properties

template

### Methods

ngTemplateContextGuard

## Constructors

### constructor

- new DataGridHeaderCellDefDirective(template): DataGridHeaderCellDefDirective

- #### Parameters

  - template: TemplateRef<DataGridHeaderCellDefDirectiveContext>

  #### Returns DataGridHeaderCellDefDirective

  - Defined in lib/data-grid-header-cell-def.directive.ts:23

## Properties

### template

template: TemplateRef<DataGridHeaderCellDefDirectiveContext>

- Defined in lib/data-grid-header-cell-def.directive.ts:25

## Methods

### `Static` ngTemplateContextGuard

- ngTemplateContextGuard(dir, ctx): ctx is DataGridHeaderCellDefDirectiveContext

- #### Parameters

  - dir: DataGridHeaderCellDefDirective
  - ctx: any

  #### Returns ctx is DataGridHeaderCellDefDirectiveContext

  - Defined in lib/data-grid-header-cell-def.directive.ts:16